function pad(number) {
    var r = String(number);
    if ( r.length === 1 ) {
        r = '0' + r;
    }
    return r;
}

function padMilliseconds(number) {
    var r = String(number);
    if ( r.length === 2 ) {
        r = '0' + r;
    }
    if ( r.length === 1 ) {
        r = '00' + r;
    }
    return r;
}

Date.prototype.toPSQLString = function() {
   return this.getFullYear()
         + '-' + pad( this.getMonth() + 1 )
         + '-' + pad( this.getDate() )
         + ' ' + pad( this.getHours() )
         + ':' + pad( this.getMinutes() )
         + ':' + pad( this.getSeconds() )
         + '.' + padMilliseconds( this.getMilliseconds() );
};

Date.prototype.toTimeStr = function() {
    return pad( this.getHours() )
        + ':' + pad( this.getMinutes() )
        + ':' + pad( this.getSeconds() )
        + '.' + padMilliseconds( this.getMilliseconds() );
};